stages:
  - .pre
  - build
  - test
image: node:lts-alpine

build website:
  stage: build
  script:
    - yarn install 
    - yarn build
  artifacts:
    paths:
      - build

linter:
  stage: .pre
  script:
    - yarn install
    - yarn lint

test website:
  stage: test
  script:
    - yarn global add serve
    - apk add curl
    - serve -s build &
    - sleep 10
    - curl http://localhost:3000 | grep "React App"

unit test:
  stage: .pre
  script:
    - yarn install
    - yarn test

